MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025792Community[OCCT] OCCT:Modeling Algorithmspublic2015-02-04 13:242016-12-09 16:38
ReporterTimo 
Assigned Toapn 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
Platformwin32 vc10OSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025792: BRepAlgoAPI_Section fails depending on order of arguments
DescriptionWhen calculating the intersection of the appended two faces, BRepAlgoAPI_Section returns a right or wrong result depending on the order of the arguments.
Steps To Reproducerestore Turbine_VTG.brep t
explode t
bop t_1 t_2
bopsection r
whatis r
explode r
whatis r_1
=> r_1 is a shape EDGE FORWARD Modified Orientable
CORRECT!

bop t_2 t_1
bopsection r
whatis r
explode r
=> r contains 2 vertices
FALSE!

TagsNo tags attached.
Test case numberbugs modalg_6 bug25792
Attached Files? file icon Turbine_VTG.brep (107,933 bytes) 2015-02-04 13:24

- Relationships
related to 0025793closedbugmaster Community BRepAlgoAPI_Section fails when calculating the section of a face and a shell 

-  Notes
(0037134)
Timo (developer)
2015-02-05 16:19
edited on: 2015-02-05 16:22

The input surface contains a small self-intersection (see 0025793). Probably, therefore boolean operations do not work stable.

Should the issue be closed or still investigated why it depends on the order of arguments?

(0037142)
szy (administrator)
2015-02-05 17:31

Could you take decision concerning the issue.
(0037144)
Timo (developer)
2015-02-05 17:37

I don't know the internal working of boolean operations if the order should matter or not. I wouldn't spend support units for this. So, you can decide if you want to deal with it. If not, you can close the issue.
(0037147)
msv (developer)
2015-02-05 17:44

The Boolean operation (section in this case) is symmetric relative to the arguments. So, the result (at least its presence) must not depend on the arguments order. Therefore this bug will be further investigated, but with lower priority.
(0059137)
emv (developer)
2016-10-26 09:34

The issue is not reproduced on current master on vc12 win64 platform. Could you please check if it is reproduced on indicated platform? If not reproduced, please create test case for the issues and close.
(0059274)
apn (administrator)
2016-10-27 15:49

Problem is not reproduced on current state of master on win32 vc10 and on default configuration too (win64 vc10).

Test case:
bugs modalg_6 bug25792 - OK
http://occt-tests/25792_Lin/bugs/modalg_6/bug25792.html [^]
http://occt-tests/25792_Win/bugs/modalg_6/bug25792.html [^]
(0059275)
git (administrator)
2016-10-27 15:50

Branch CR25792 has been created by apn.

SHA-1: 29c01369e7cad60c3cd9c9afafeb09001d343c50


Detailed log of new commits:

Author: apn
Date: Thu Oct 27 15:50:24 2016 +0300

    0025792: BRepAlgoAPI_Section fails depending on order of arguments
    
    Added test case bugs/modalg_6/bug25792
(0059398)
git (administrator)
2016-10-28 21:37

Branch CR25792 has been deleted by kgv.

SHA-1: 29c01369e7cad60c3cd9c9afafeb09001d343c50

- Related Changesets
occt: master 91764a8f
Timestamp: 2016-10-27 12:50:24
Author: apn
Details ] Diff ]
0025792: BRepAlgoAPI_Section fails depending on order of arguments

Added test case bugs/modalg_6/bug25792
add - tests/bugs/modalg_6/bug25792 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-04 13:24 Timo New Issue
2015-02-04 13:24 Timo Assigned To => msv
2015-02-04 13:24 Timo File Added: Turbine_VTG.brep
2015-02-04 13:26 Timo Platform => win32 vc10
2015-02-04 14:05 Timo Issue cloned: 0025793
2015-02-04 14:05 Timo Relationship added related to 0025793
2015-02-05 16:19 Timo Note Added: 0037134
2015-02-05 16:22 Timo Note Edited: 0037134 View Revisions
2015-02-05 17:31 szy Note Added: 0037142
2015-02-05 17:31 szy Status new => assigned
2015-02-05 17:37 Timo Note Added: 0037144
2015-02-05 17:44 msv Note Added: 0037147
2015-02-05 17:44 msv Priority normal => low
2015-02-05 17:47 msv Assigned To msv => emv
2015-02-13 18:33 Timo Relationship added related to 0025828
2015-04-14 10:08 msv Target Version 6.9.0 => 7.1.0
2016-10-26 09:34 emv Note Added: 0059137
2016-10-26 09:34 emv Assigned To emv => bugmaster
2016-10-26 09:34 emv Status assigned => feedback
2016-10-27 15:49 apn Note Added: 0059274
2016-10-27 15:50 git Note Added: 0059275
2016-10-27 15:50 apn Test case number => bugs modalg_6 bug25792
2016-10-27 15:50 apn Status feedback => tested
2016-10-28 14:35 apn Changeset attached => occt master 91764a8f
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059398
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker